Bullet Collision Detection & Physics Library: btConvexSeparatingDistanceUtil Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btConvexSeparatingDistanceUtil Class Reference

The btConvexSeparatingDistanceUtil can help speed up convex collision detection by conservatively updating a cached separating distance/vector instead of re-calculating the closest distance. More...

`#include <btTransformUtil.h>`

Collaboration diagram for btConvexSeparatingDistanceUtil:
[legend]

## Public Member Functions
| btConvexSeparatingDistanceUtil (btScalar boundingRadiusA, btScalar boundingRadiusB)
btScalar | getConservativeSeparatingDistance ()
void | updateSeparatingDistance (const btTransform &transA, const btTransform &transB)
void | initSeparatingDistance (const btVector3 &separatingVector, btScalar separatingDistance, const btTransform &transA, const btTransform &transB)

## Private Attributes
btQuaternion | m_ornA
btQuaternion | m_ornB
btVector3 | m_posA
btVector3 | m_posB
btVector3 | m_separatingNormal
btScalar | m_boundingRadiusA
btScalar | m_boundingRadiusB
btScalar | m_separatingDistance

## Detailed Description

The btConvexSeparatingDistanceUtil can help speed up convex collision detection by conservatively updating a cached separating distance/vector instead of re-calculating the closest distance.

Definition at line 147 of file btTransformUtil.h.

## Constructor & Destructor Documentation

## ◆ btConvexSeparatingDistanceUtil()

btConvexSeparatingDistanceUtil::btConvexSeparatingDistanceUtil | ( | btScalar | boundingRadiusA,
|  | btScalar | boundingRadiusB )
| inline

Definition at line 161 of file btTransformUtil.h.

## Member Function Documentation

## ◆ getConservativeSeparatingDistance()

btScalar btConvexSeparatingDistanceUtil::getConservativeSeparatingDistance | ( |  | ) |
| inline

Definition at line 168 of file btTransformUtil.h.

## ◆ initSeparatingDistance()

void btConvexSeparatingDistanceUtil::initSeparatingDistance | ( | const btVector3 & | separatingVector,
|  | btScalar | separatingDistance,
|  | const btTransform & | transA,
|  | const btTransform & | transB )
| inline

Definition at line 203 of file btTransformUtil.h.

## ◆ updateSeparatingDistance()

void btConvexSeparatingDistanceUtil::updateSeparatingDistance | ( | const btTransform & | transA,
|  | const btTransform & | transB )
| inline

Definition at line 173 of file btTransformUtil.h.

## Member Data Documentation

## ◆ m_boundingRadiusA

btScalar btConvexSeparatingDistanceUtil::m_boundingRadiusA
| private

Definition at line 156 of file btTransformUtil.h.

## ◆ m_boundingRadiusB

btScalar btConvexSeparatingDistanceUtil::m_boundingRadiusB
| private

Definition at line 157 of file btTransformUtil.h.

## ◆ m_ornA

btQuaternion btConvexSeparatingDistanceUtil::m_ornA
| private

Definition at line 149 of file btTransformUtil.h.

## ◆ m_ornB

btQuaternion btConvexSeparatingDistanceUtil::m_ornB
| private

Definition at line 150 of file btTransformUtil.h.

## ◆ m_posA

btVector3 btConvexSeparatingDistanceUtil::m_posA
| private

Definition at line 151 of file btTransformUtil.h.

## ◆ m_posB

btVector3 btConvexSeparatingDistanceUtil::m_posB
| private

Definition at line 152 of file btTransformUtil.h.

## ◆ m_separatingDistance

btScalar btConvexSeparatingDistanceUtil::m_separatingDistance
| private

Definition at line 158 of file btTransformUtil.h.

## ◆ m_separatingNormal

btVector3 btConvexSeparatingDistanceUtil::m_separatingNormal
| private

Definition at line 154 of file btTransformUtil.h.

The documentation for this class was generated from the following file:

- btTransformUtil.h